////Brouillard
textures/antic/fog
{
	qer_editorimage textures/antic/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	//surfaceparm nomarks
	//surfaceparm nolightmap
	fogparms ( 0.749019 0.7098039 0.6078431 ) 7168

	q3map_bouncescale 0

	//{
	//	map $whiteimage
	//	blendfunc gl_zero gl_one
	//}
}




////Sky 01
textures/antic/anticsky
{
	qer_editorimage textures/antic/anticsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 100
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .9 .8 100 40 70
// note: Change the fourth value if you want a brighter or dimmer sun
	skyparms env/antic/antic 256 -
}
////Sky 02
textures/antic/antic_ciel01
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 300
	q3map_lightRGB 132 142 200
	qer_editorimage textures/antic/antic_ciel01.tga
 	skyparms - 512 -
	
	{
	map textures/antic/antic_ciel02.jpg
	tcMod scale 14 14
	tcMod scroll 0.0090 0.0090
	depthWrite
	}


	{
	map textures/antic/antic_ciel03.jpg
	blendFunc GL_ONE GL_ONE
	tcMod scale 3 3
	tcMod scroll 0.0200 0.0200
	}
}




////Brume
textures/antic/brume
{
	qer_editorimage textures/antic/brume.tga
	qer_trans 0.4
	surfaceparm nonsolid
	surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nolightmap
	//surfaceparm trans
	cull disable
	{
		map textures/antic/brume.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		tcMod scroll 0.005 0.01
	}
	{
		map textures/antic/brume.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		tcMod scroll 0.008 0.02
	}
	{
		//blendfunc filter //gal  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendFunc GL_dst_color GL_zero //blendFunc blend 
	}
}



////Watercaulk
textures/antic/watercaulk
{
	qer_editorimage textures/antic/watercaulk.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
////Eau > Map Maximus
textures/antic/eau01
{
	qer_editorimage textures/antic/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
	
		map textures/antic/eau02.jpg
		blendFunc GL_dst_color GL_one
		//rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	
	}
	{ 
		map textures/antic/eau03.jpg
		blendFunc GL_dst_color GL_one
		//rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/antic/eau01.jpg
		blendFunc GL_dst_color GL_one
		//rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	
	}
	{
		//map $lightmap
		blendfunc filter
		blendFunc GL_dst_color GL_zero
		//rgbgen identity	
	}


}




////Flag01 > Map Maximus
textures/antic/flag01
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/antic/flag01.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}
////Flag02 > Map Maximus
textures/antic/flag02
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/antic/flag02.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}
////Flag03 > Map Maximus
textures/antic/flag03
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/antic/flag03.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}
////Flag04 > Map Maximus
textures/antic/flag04
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/antic/flag04.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
        }
}




////Flash
textures/antic/flash1
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    cull none
          {
            map textures/antic/flash1.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave noise 0.5 1 1.5 1.5
          }
}
////Flash02
textures/antic/flash2
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    cull none
          {
            map textures/antic/flash2.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave noise 0.5 0.5 1 2.5
          }
}
////Flash03
textures/antic/flash3
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    cull none
          {
            map textures/antic/flash3.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave noise 0.3 1 1 2
          }
}




////Echelle
textures/nounou/ladder
{
	qer_editorimage textures/nounou/ladder.tga	
	qer_trans 0.4

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}




////Verre
textures/nounou/vitre
{
	qer_editor textures/nounou/vitre.tga
	qer_trans 0.5
	q3maps_globaltexture
	surfaceparm trans
	surfaceparm nodamage
	{
		map textures/nounou/reflet.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen environment
	}
	
	{
		map textures/nounou/vitre.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}




////Feu
textures/antic/flame1
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5000
	q3map_LightRGB 1 .5 0
	qer_editorimage textures/antic/flame1.tga
	
	{
		animMap 10 textures/antic/flame1.tga textures/antic/flame2.tga textures/antic/flame3.tga textures/antic/flame4.tga textures/antic/flame5.tga textures/antic/flame6.tga textures/antic/flame7.tga textures/antic/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/antic/flame2.tga textures/antic/flame3.tga textures/antic/flame4.tga textures/antic/flame5.tga textures/antic/flame6.tga textures/antic/flame7.tga textures/antic/flame8.tga textures/antic/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/antic/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}